// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: generationmodule/generationmodule.proto

package openfmb.generationmodule;

public interface GenerationEventZGENOrBuilder extends
    // @@protoc_insertion_point(interface_extends:generationmodule.GenerationEventZGEN)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the generationEventAndStatusZGEN field is set.
   */
  boolean hasGenerationEventAndStatusZGEN();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
   * @return The generationEventAndStatusZGEN.
   */
  openfmb.generationmodule.GenerationEventAndStatusZGEN getGenerationEventAndStatusZGEN();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.generationmodule.GenerationEventAndStatusZGENOrBuilder getGenerationEventAndStatusZGENOrBuilder();
}
